/*
 * NAT - An universal Translator
 * Copyright (C) 2005 Bruno Mascret
 * Contact: bmascret@free.fr
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package ui;

import javax.swing.JTable;

public class JTableNonEditCol1 extends JTable
{

	private static final long serialVersionUID = 1L;
	
	public JTableNonEditCol1(String[][] d, String[] c)
	{
		super(d,c);
	}
	
	public boolean isCellEditable(int row, int col) 
	{
		if (col==0) 
		{
            return false;
        }
		else
		{
            return true;
        }
    }

}
